Re: 7.3b1 installation

Поиск
Список
Период
Сортировка
От Tom Lane
Тема Re: 7.3b1 installation
Дата
Msg-id 3400.1031257216@sss.pgh.pa.us
обсуждение исходный текст
Ответ на Re: 7.3b1 installation  (Jeff Davis <list-pgsql-general@empires.org>)
Ответы Re: 7.3b1 installation
Список pgsql-general
Jeff Davis <list-pgsql-general@empires.org> writes:
> I have ant 1.5 already.

> When I run "./configure --with-java" I get:
> ----
> checking whether /usr/bin/ant works... no
> configure: error: ant does not work
> ----

Hmph.  Well, the test that configure is running seems pretty
straightforward:

    cat > conftest.java << EOF
public class conftest {
    int testmethod(int a, int b) {
        return a + b;
    }
}
EOF

    cat > conftest.xml << EOF
<project name="conftest" default="conftest">
 <target name="conftest">
  <javac srcdir="." includes="conftest.java">
  </javac>
 </target>
</project>
EOF

    pgac_cmd='$ANT -buildfile conftest.xml 1>&2'
    { (eval echo "$as_me:$LINENO: \"$pgac_cmd\"") >&5
  (eval $pgac_cmd) 2>&5
  ac_status=$?
  echo "$as_me:$LINENO: \$? = $ac_status" >&5
  (exit $ac_status); }
    pgac_save_status=$?
    if test $? = 0 && test -f ./conftest.class ; then
      pgac_cv_prog_ant_works=yes
    else
      echo "configure: failed java program was:" >&5
      cat conftest.java >&5
      echo "configure: failed build file was:" >&5
      cat conftest.xml >&5
      pgac_cv_prog_ant_works=no
    fi

In English, that's creating conftest.java and conftest.xml and then
running "/usr/bin/ant -buildfile conftest.xml".  If ant returns nonzero
exit status or doesn't create conftest.class, then it's considered
broken.  What happens if you try the same thing by hand?

(Alternatively, look into the config.log to see what configure thought
happened.)

            regards, tom lane

В списке pgsql-general по дате отправления:

Предыдущее
От: Bruce Momjian
Дата:
Сообщение: Re: 7.3b1 installation
Следующее
От: "Mihai Gheorghiu"
Дата:
Сообщение: Surprise :-(